mcrypt_module_get_supported_key_sizes
mcrypt_module_is_block_algorithm
Mcrypt Functions
PHP Manual

# mcrypt_module_is_block_algorithm_mode

(PHP 4 >= 4.0.2, PHP 5)

mcrypt_module_is_block_algorithm_mode — Returns if the specified module is a block algorithm or not

### Description

bool mcrypt_module_is_block_algorithm_mode ( string `$mode` [, string `$lib_dir` ] )

This function returns `TRUE` if the mode is for use with block algorithms, otherwise it returns `FALSE`. (e.g. `FALSE` for stream, and `TRUE` for cbc, cfb, ofb).

### Parameters

`mode`

  The mode to check.

`lib_dir`

  The optional `lib_dir` parameter can contain the location where the algorithm module is on the system.

### Return Values

This function returns `TRUE` if the mode is for use with block algorithms, otherwise it returns `FALSE`. (e.g. `FALSE` for stream, and `TRUE` for cbc, cfb, ofb).

mcrypt_module_get_supported_key_sizes
mcrypt_module_is_block_algorithm
Mcrypt Functions
PHP Manual